#include "xeffectdefref.h"
#include "xeffectdef.h"

XEffectDefRef::XEffectDefRef()
    : XAsset()
    , mHandlePtr(0)
    , mHandle(new XEffectDef())
    , mNamePtr(0)
    , mName("")
{
    
}

XEffectDefRef::~XEffectDefRef()
{
    
}

void XEffectDefRef::Clear()
{
    mHandlePtr = 0;
    mHandle = new XEffectDef();

    mNamePtr = 0;
    mName = "";
}

void XEffectDefRef::ParseData(QDataStream *aStream)
{
    
}
